Subject: Re: bug#63283: Emacs crash within fontset
From: Eli Zaretskii <[email-masked]>
To: Seppo Ronkainen <[email-masked]>
Cc: [email-masked]
Date: Tue, 09 May 2023 08:26:02 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 08 May 2023 21:22:21 +0000
> From: Seppo Ronkainen <[email-masked]>
> Cc: [email-masked]
> 
> Your suggested patch successfully avoided the abort, great !
> 
> Where the abort would previously occur now instead the buffer renders all characters with four digit code point rectangular representations which I would consider preferable to an abort the entire emacs server session with thirty or so windows. Tested with visiting a large file emacs/src/xdisp.c and Emacs swapps back to render regular characters when text is scaled back. I would vote for your suggested fix, well done thank you !

Displaying the characters as hex codes is the expected behavior in
this case, since Emacs is unable to find a font that suits its needs.

So I've now installed the change on the emacs-29 branch, and I'm
closing the bug.

Thanks.